'use strict';

const hljs = require('highlight.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e.default : e; }

const hljs__default = /*#__PURE__*/_interopDefaultCompat(hljs);

const VueHighlight = {
  install(vue) {
    vue.directive("highlight", (el, binding) => {
      highlight(el, binding);
    });
  }
};
function highlight(el, binding) {
  if (el.tagName !== "CODE") {
    let blocks = el.querySelectorAll("code");
    blocks.forEach((block) => {
      highlight(block, binding);
    });
  } else {
    if (typeof binding.value === "string") {
      el.textContent = binding.value;
    }
    hljs__default.highlightElement(el);
  }
}

exports.VueHighlight = VueHighlight;
exports.highlight = highlight;
